xdg-desktop-portal (1.21.1+ds-1ubuntu4) stonking; urgency=medium

  * d/p/webextensions-portal.patch: Fix GTask not returning with
    g_task_return*(). Might impact breakage of web extensions
    (https://bugzilla.mozilla.org/show_bug.cgi?id=2034018)
    and the occasional failure of the webextension build-time tests.
    One test will still fail though, so for now Disable-webextension-test.patch
    is kept.
  * d/p/webextensionsportal.patch: Fix build-time tests.

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Tue, 28 Apr 2026 15:28:55 +0200

xdg-desktop-portal (1.21.1+ds-1ubuntu3) resolute; urgency=medium

  * d/p/ubuntu/snaps: Use the app permission ID to add documents to transfer.
    The document portal is now relying on the applications permission IDs to
    check if an application has the rights to access to a file but this is
    was not adjusted in the file-transfer portal, and thus we were ending up
    adding the document for the right application (e.g `firefox_firefox`
    rather than `snap.firefox`) and that was triggering the *flatpak* logic
    to check for the file-access for the "firefox_firefox flatpak".
      xdg-desktop-portal-DEBUG: 17:40:19.016: Running:
        flatpak info --file-access=/home/marco/valgrind.log firefox_firefox
    So, be consistent with the API (that requires a permission ID) and use
    the target application permission ID to initiate the file transfer.
    (LP: #2143896)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 17 Apr 2026 18:46:53 +0200

xdg-desktop-portal (1.21.1+ds-1ubuntu2) resolute; urgency=medium

  * d/p: Adapt web-extensions patch to upstream changes from 1.21.1.
    Fixes a crash when trying to use Firefox WebExtensions, such as through
    https://extensions.gnome.org (LP: #2148548)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 16 Apr 2026 13:18:59 +0200

xdg-desktop-portal (1.21.1+ds-1ubuntu1) resolute; urgency=medium

  * Merge with Debian (LP: #2148291, LP: #2148191).
    Remaining changes:
    - Import Sebastian Wick's version of the Jan Horak WebExtensions
      native messaging portal patch
      + debian/patches/webextensions-portal.patch
    - Temporarily disable the webextension build test
      + debian/patches/Disable-webextension-test.patch
    - Remove -dev Recommends: fonts-inter-variable
    - d/p/ubuntu/snaps/: Fix snaps permissions handling
    - d/p/ubuntu/allow-no-graphical-session-target.patch:
      Allow starting xdg-desktop-portal with systemd even if
      graphical-session.target is not active (LP#2144855)
  * d/p: Drop patches applied upstream
  * d/p: Refresh patches
  * d/p: Backport interface versioning fixes

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 14 Apr 2026 15:55:28 +0200

xdg-desktop-portal (1.21.1+ds-1) experimental; urgency=medium

  * New upstream development prerelease
    - This version fixes a vulnerability in which a malicious or compromised
      Flatpak app could send any file or directory to the trash, including
      those outside its sandbox.
      (GHSA-rqr9-jwwf-wxgj) (Closes: #1132958)
  * Merge packaging from unstable
  * Drop patches that were applied upstream
  * Standards-Version: 4.7.4 (no changes required)
  * Normalize formatting of packaging (debputy reformat)

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Apr 2026 19:08:31 +0100

xdg-desktop-portal (1.20.4+ds-1) unstable; urgency=medium

  * New upstream release
    - This version fixes a vulnerability in which a malicious or compromised
      Flatpak app could send any file or directory to the trash, including
      those outside its sandbox.
      (GHSA-rqr9-jwwf-wxgj) (Closes: #1132958)

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2026 11:30:32 +0100

xdg-desktop-portal (1.20.3+ds-3) unstable; urgency=medium

  * d/p/validate-icon-sound-Print-debug-logs-to-stderr-only.patch:
    Add patch from upstream to fix a test regression with updated
    gdk-pixbuf (Closes: #1129171)
  * Remove Lintian override for #1115463, no longer needed

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Mar 2026 12:28:40 +0000

xdg-desktop-portal (1.21.0+ds-1ubuntu8) resolute; urgency=medium

  * d/p: Fix file-chooser opening in the wrong directory (LP: #2147602)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 09 Apr 2026 14:17:50 +0200

xdg-desktop-portal (1.21.0+ds-1ubuntu7) resolute; urgency=medium

  * d/p/u: Relax patch that would always start graphical-session.target.
    graphical-session.target shall only be started if there actually is a
    graphical session running.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Sun, 29 Mar 2026 23:22:47 +0200

xdg-desktop-portal (1.21.0+ds-1ubuntu6) resolute; urgency=medium

  * d/p/ubuntu/snaps: Use permission ID to open pipewire camera stream.
    Using the app-id was preventing pipewire to be able to check for app
    permissions
  * d/p: Cherry-pick upstream fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 21 Mar 2026 01:08:15 +0100

xdg-desktop-portal (1.21.0+ds-1ubuntu5) resolute; urgency=high

  * d/p/u/replace-requisite-with-wants.patch: Allow service's start even if
    graphical-session is not reached (LP: #2144855).

 -- Nathan Pratta Teodosio <nteodosio@ubuntu.com>  Fri, 20 Mar 2026 13:59:12 +0100

xdg-desktop-portal (1.21.0+ds-1ubuntu4) resolute; urgency=medium

  * d/p/snaps: Fix snaps permissions handling.
    Snap applications are now reported to the portals using their
    application ID, while their permission ID is only an implementation
    detail that is not exposed directly.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Feb 2026 10:53:17 +0100

xdg-desktop-portal (1.21.0+ds-1ubuntu3) resolute; urgency=medium

  * d/p: Fix tests with the gdk-pixbuf/glycin transition

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 10 Feb 2026 11:01:01 +0100

xdg-desktop-portal (1.21.0+ds-1ubuntu2) resolute; urgency=medium

  * d/p: Add patches from debian accidentally dropped during merge
  * d/p: Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 17:07:44 +0100

xdg-desktop-portal (1.21.0+ds-1ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    - Import Sebastian Wick's version of the Jan Horak WebExtensions
      native messaging portal patch
      + debian/patches/webextensions-portal.patch
    - Temporarily disable the webextension build test
      + debian/patches/Disable-webextension-test.patch
    - Remove -dev Recommends: fonts-inter-variable
  * d/p: Drop patches applied upstream
  * d/p: Rebase webextensions patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Feb 2026 16:31:22 +0100

xdg-desktop-portal (1.21.0+ds-1) experimental; urgency=medium

  * New upstream development prerelease
  * d/control, d/gbp.conf: Branch for experimental
  * Revert "d/gbp.conf, d/watch: Only watch for stable (even-numbered)
    releases"
  * d/copyright: Update
  * d/p/tests-Skip-tests-that-need-the-documents-portal-if-FUSE-d.patch:
    Add proposed patch to skip tests needing FUSE on buildds
  * d/p/tests-Don-t-include-interpreter-in-non-executable-library.patch:
    Add patch to avoid a warning from Lintian

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Jan 2026 22:00:08 +0000

xdg-desktop-portal (1.20.3+ds-2) unstable; urgency=medium

  * d/watch: Convert to v5 format
    - Add Lintian override for #1125489
  * d/gbp.conf, d/watch: Only watch for stable (even-numbered) releases
  * d/watch.devel: Add alternative uscan watch file for development
    (odd-numbered) releases
  * d/control: Remove Rules-Requires-Root, unnecessary since Debian 13
  * d/control: Standards-Version: 4.7.3
    - Remove Priority: optional, not required since Debian 13

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Jan 2026 14:47:56 +0000

xdg-desktop-portal (1.20.3+ds-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:53:11 +0100

xdg-desktop-portal (1.20.3+ds-1ubuntu1) questing; urgency=medium

  * Merge with debian (LP: #2120301). Remaining changes:
    - Import Sebastian Wick's version of the Jan Horak WebExtensions
      native messaging portal patch
      + debian/patches/webextensions-portal.patch
    - Backport patches to fix setting realtime mode (LP#2107340):
      + debian/patches/differentiate_pidfd_proc.patch
      + debian/patches/get_pidns_from_pidfd.patch
    - debian/salsa-ci.yml: Use Ubuntu recipe
    - Remove -dev Recommends: fonts-inter-variable
  * d/p: Add proposed patch to skip broken test in sbuild
    - tests-Skip-test_trash_file_fails-if-we-couldn-t-get-a-fd.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 11 Aug 2025 14:01:01 +0200

xdg-desktop-portal (1.20.3+ds-1) unstable; urgency=medium

  * New upstream stable release
    - Fix a crash when a Flatpak app does not export a .desktop file
      with the same name as its app-ID (Closes: #1106091)
    - Allow Flatpak and Snap apps to use portal APIs even if they do not
      have a .desktop file matching the app-ID
    - Fix file descriptors being closed too soon, resulting in log noise

 -- Simon McVittie <smcv@debian.org>  Wed, 21 May 2025 11:05:04 +0100

xdg-desktop-portal (1.20.1+ds-2) unstable; urgency=medium

  * Release to unstable (Closes: #1105889)

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 17:21:45 +0100

xdg-desktop-portal (1.20.1+ds-1) experimental; urgency=medium

  * New upstream stable release
    - Fix installation of dynamic launcher .desktop files, for example
      for browsers in webapp mode (Closes: #1105889)
    - Load portal backends from XDG_DATA_HOME and all XDG_DATA_DIRS,
      allowing use of locally-installed (unpackaged) backends
    - Re-order bubblewrap arguments for icon/sound validators to avoid
      mounting a tmpfs that hides the working directory if run from /tmp,
      for example during testing
    - Fix thread-safety in the host app registration portal by doing
      everything from the main thread
    - Input capture moves from ACTIVE to ENABLED state when deactivated,
      instead of staying ACTIVE
    - Improve log messages for the realtime interface
    - Stop the D-Bus services before the D-Bus session bus stops,
      avoiding spurious warnings in the system log
    - Refactor initialization of app info to reduce duplication and
      ensure that file descriptors are marked close-on-exec
    - Log a warning if the documents portal mount point cannot be found
    - Highlight xdg-desktop-portal errors if outputting to a terminal
    - Send xdg-desktop-portal log messages to stderr, not stdout
    - Translation updates: bg, ca
    - Documentation updates
  * d/copyright: Use GNU web address instead of FSF's former postal address
  * d/copyright: Be clearer about the Library vs. Lesser General Public
    License
  * d/copyright: Record that some files are GPL-2+
  * d/xdg-desktop-portal-tests.lintian-overrides:
    Add an override for a false positive in the tests
  * Release to experimental for wider testing during the Debian 13 freeze

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 13:47:10 +0100

xdg-desktop-portal (1.20.0+ds-2ubuntu3) questing; urgency=medium

  * Backport patches from Sebastian Wick to get pidns's from pidfd's.
    - differentiate_pidfd_proc.patch
      + utils: Differentiate between pidfd and /proc/$pid dirfds
      + Upstream SHA: dd08d451e3019f4ec6285ecb14d4c746b6e1d420
      + Refactoring commit required for the next patch that actually fixes the
        problem to cleanly apply.
    - get_pidns_from_pidfd.patch
      + utils: Add new function to get the pidns from an actual pidfd
      + Upstream SHA: 522236e41043a558a825da4cee70ee31ce607147
      + Fixes failures when calling XdpAppInfo.get_pidns with a pidfd rather
        than a dirfd.
      + Fixes (LP: #2107340)

 -- Charles <charles05@canonical.com>  Tue, 08 Jul 2025 10:22:12 +0100

xdg-desktop-portal (1.20.0+ds-2ubuntu2) questing; urgency=medium

  * Rebuild against latest fuse3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 May 2025 11:08:41 -0400

xdg-desktop-portal (1.20.0+ds-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Import Sebastian Wick's version of the Jan Horak WebExtensions
      native messaging portal patch
      + debian/patches/webextensions-portal.patch
    - debian/salsa-ci.yml: Use Ubuntu recipe
    - Remove -dev Recommends: fonts-inter-variable
  * Add patch to temporarily disable the webextension build test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Mar 2025 19:58:12 -0400

xdg-desktop-portal (1.20.0+ds-2) unstable; urgency=medium

  * d/rules: Only enable as-installed tests if we're building that package
  * d/rules: Enable tests whenever we are building as-installed tests.
    Even if we will not actually run the tests at build-time, we still
    need to enable the option if we want to install the as-installed
    tests, and for that we need a subset of the tests' dependencies.
    Thanks to Jeremy Bícha (Closes: #1101046)
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 22 Mar 2025 20:47:16 +0000

xdg-desktop-portal (1.20.0+ds-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
    - debian/salsa-ci.yml: Use Ubuntu recipe
  * Update the webextensions patch with the version from Jan Horak
    as updated by Sebastian Wick
  * Remove -dev Recommends: fonts-inter-variable (LP: #2100239)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 19:37:59 -0400

xdg-desktop-portal (1.20.0+ds-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Feb 2025 11:54:43 +0000

xdg-desktop-portal (1.19.4+ds-1) unstable; urgency=medium

  * New upstream development release
  * d/patches: Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Feb 2025 13:31:49 +0000

xdg-desktop-portal (1.19.3+ds-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream development release
  * d/control: libportal-dev is no longer used for unit tests
  * d/x-d-p.docs: NEWS is now named NEWS.md
  * d/rules: Rename the pytest option to tests, following upstream
  * d/control: Explicitly build-depend on python3-dbus.
    It's used by dbusmock, and the upstream build system checks for it.
  * d/p/notification-Escape-the-href-attribute-of-links-when-re-s.patch,
    d/p/tests-Assert-that-href-attributes-are-escaped-correctly.patch,
    d/p/notification-Escape-the-body-text-of-the-markup-body-when.patch,
    d/p/tests-Assert-that-markup-body-text-is-escaped-correctly.patch:
    Add patches from upstream to fix handling of XML in notifications
  * Release to unstable (Closes: #1095098).
    While this is still a development release, upstream intends to
    release 1.20.x in time for the Debian 13 freeze, so it's better to
    have wider testing at this stage.

  [ Jeremy Bícha ]
  * Update Homepage

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Feb 2025 18:08:24 +0000

xdg-desktop-portal (1.19.2+ds-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * debian/salsa-ci.yml: Use Ubuntu recipe

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 11:25:38 -0500

xdg-desktop-portal (1.19.2+ds-1) experimental; urgency=medium

  * New upstream development release
  * d/rules, d/tests: Set XDP_TEST_IN_CI instead of TEST_IN_CI.
    The environment variable used to skip flaky tests and extend some
    other tests' timeouts was renamed in this upstream development branch.
  * d/control: Add dependencies to run pytest-based tests from autopkgtest
  * d/copyright: Update
  * d/p/debian/doc-Use-system-copy-of-Inter-Variable-font.patch:
    Refresh patch

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Jan 2025 14:45:35 +0000

xdg-desktop-portal (1.19.1+ds-1) experimental; urgency=medium

  * New upstream development release
  * Drop patches that were included in 1.19.1
  * d/p/tests-Set-XDG_DATA_DIRS-for-as-installed-testing.patch:
    Add patch to fix test-portals-openuri.test during autopkgtest
  * d/copyright: Update
  * d/watch: Fix dversionmangle processing for +ds versions
  * d/control: Update build-dependencies
  * d/control: Depend on GStreamer plugins for WAV, Ogg Vorbis, Ogg Opus
  * d/rules: Disable pytest-based tests if built with nocheck
  * d/rules: Disable sandboxing of sound validation during build-time
    testing, because bubblewrap can't work in a buildd chroot
  * d/x-d-p.install: Install new x-d-p-validate-sound helper
  * d/salsa-ci.yml: Use recommended recipe
  * d/tests/control: Try treating installed-tests as stable.
    We can mark them as flaky before re-uploading to unstable if this
    turns out not to be the case.
  * d/rules: Extend test timeouts on non-x86.
    Some -ports architectures use qemu for buildds, which can be very
    slow, and there is no official way to tell which architectures
    do this.

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Jan 2025 21:33:06 +0000

xdg-desktop-portal (1.19.0+ds-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * Repack tarball to exclude vendored Inter Variable font from
    documentation
  * d/p/debian/doc-Use-system-copy-of-Inter-Variable-font.patch:
    Add a patch to avoid using the vendored Inter Variable font, which
    we remove
  * d/copyright, d/watch: Update for exclusion of vendored web font
  * Remove obsolete Lintian override for #1031037, fixed in
    Lintian 2.117.0
  * d/control, d/x-d-p-dev.docs, d/x-d-p-dev.doc-base:
    Build HTML documentation using Sphinx; enable dh_sphinxdoc
  * d/rules: Update Meson options.
    sandboxed-image-validation is now a feature rather than a boolean.
  * d/p/xdp_validate_icon-Assign-argument-indices-automatically.patch,
    d/p/xdp_validate_icon-Allow-sandboxing-of-the-validator-to-be.patch,
    d/rules:
    Disable sandboxing of icon validation during build-time testing.
    Some buildds build in a chroot, and bubblewrap can't work in that
    environment.
  * d/control: Add librsvg2-common to Recommends, Build-Depends,
    test Depends. This is needed for SVG icon validation.
  * d/control: Explicitly build-depend on bubblewrap
  * d/control, d/rules: Only build documentation in arch-indep builds
  * d/rules: Disable man pages under nodoc build profile
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 30 Oct 2024 19:46:16 +0000

xdg-desktop-portal (1.18.4-2) unstable; urgency=medium

  * d/control, d/gbp.conf: Branch for changes targeting trixie.
    The debian/latest branch has 1.19.x development releases, which are
    packaged in experimental but haven't reached a sufficiently frozen
    status to be considered for inclusion in Debian 13 yet.
  * d/patches: Backport patches from 1.19.0 to fix test failure with
    libportal 0.9.0 (Closes: #1091290)
  * d/patches: Update to upstream 1.18.x branch commit 1.18.4-3-g45b5f7a4
    - Improve ability to use camera portal from non-sandboxed host apps
    - Add a missing NEWS entry
  * d/control: Explicitly build-depend on bubblewrap
  * d/control, d/rules: Only build documentation in arch-indep builds
  * d/rules: Disable man pages under nodoc build profile
  * d/x-d-p.lintian-overrides: Remove obsolete Lintian override for #1031037
  * d/control: Standards-Version: 4.7.0 (no changes required)
  * d/salsa-ci.yml: Use recommended recipe

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Jan 2025 18:51:00 +0000

xdg-desktop-portal (1.18.4-1ubuntu4) oracular; urgency=medium

  * Refresh webextensions portal patch to latest version proposed
    upstream (LP: #2077587)

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 21 Aug 2024 20:13:17 -0400

xdg-desktop-portal (1.18.4-1ubuntu3) oracular; urgency=medium

  * Upload to oracular

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 14:14:32 -0400

xdg-desktop-portal (1.18.4-1ubuntu2) noble; urgency=medium

  * Merge with Debian (LP: #2062394). Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch to add a portal for managing WebExtensions native messaging
      servers

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 17:00:47 -0400

xdg-desktop-portal (1.18.4-1) unstable; urgency=medium

  * New upstream stable release
    - Don't allow sandboxed apps to specify commands starting with '-'
      when generating .desktop files, mitigating CVE-2024-32462 in Flatpak
    - Do not store device access permission as "denied by user" if there
      was an error
    - Fix a crash when config files don't specify a default backend

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Apr 2024 18:58:16 +0100

xdg-desktop-portal (1.18.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 18:21:31 -0400

xdg-desktop-portal (1.18.3-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Apr 2024 10:53:28 -0400

xdg-desktop-portal (1.18.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian (LP: #2038110). Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 13:10:20 -0500

xdg-desktop-portal (1.18.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Drop x-d-p-gtk fallback patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 13:03:50 -0500

xdg-desktop-portal (1.18.1-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Update
  * d/rules: Explicitly enable sandboxed image validation.
    This is the default, but for a security hardening mechanism, explicit
    seems better than implicit.
  * Change packaging branch to debian/latest

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Oct 2023 19:28:38 +0100

xdg-desktop-portal (1.18.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2038110). Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * Dropped change:
    - Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
      to Ubuntu 20.04 LTS or 18.04 LTS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Oct 2023 12:21:53 -0400

xdg-desktop-portal (1.18.0-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Sep 2023 12:01:57 +0100

xdg-desktop-portal (1.17.2-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
    - Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
      to Ubuntu 20.04 LTS or 18.04 LTS
  * Update webextension portal patch with latest version proposed upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 13:08:18 -0400

xdg-desktop-portal (1.17.2-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Sep 2023 10:27:12 +0100

xdg-desktop-portal (1.17.1-1) experimental; urgency=medium

  * New upstream release
    - d/patches: Drop all patches, applied in new release
  * d/control, d/x-d-p.manpages: Build and install portals.conf(5)
  * d/NEWS: Add a NEWS file to direct users to portals.conf(5)
  * d/p/debian/portal-impl-Hard-code-x-d-p-gtk-as-a-last-resort-fallback.patch:
    Add patch to fall back to x-d-p-gtk if nothing better can be found.
    This is a temporary measure to give desktop environment maintainers
    a chance to add a portals.conf(5) for their desktop, and should be
    removed later.

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Aug 2023 15:03:12 +0100

xdg-desktop-portal (1.17.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fixes portal delay with x-d-p-gnome 44 and non-GNOME desktops
      (LP: #2013116) (Closes: #1032584)
  * debian/control: Build-Depend on python3-dbusmock & python3-pytest
    for build tests
  * Drop all patches: applied in new release
  * Cherry-pick 3 bug fixes from upstream repo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 21 Aug 2023 16:33:43 -0400

xdg-desktop-portal (1.16.0-3ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
    - Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
      to Ubuntu 20.04 LTS or 18.04 LTS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 09:07:20 -0400

xdg-desktop-portal (1.16.0-3) unstable; urgency=medium

  * d/patches: Update to upstream 1.16 branch commit 1.16.0-17-g2a219279
    - Deal better with backends that are non-functional in desktop
      environments other than the one they are intended for
    - Improve handling of incorrect method calls from applications
    - Extract app IDs from more systemd scope/slice/service names
    - Update security support status in README
    - Translation updates: be, gl, ka, oc, tr
  * Update standards version to 4.6.2 (no changes needed)
  * Remove version constraints unnecessary since Debian 11
  * d/xdp.lintian-overrides: Silence some false positives (#1031037)

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Aug 2023 15:33:04 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog xdg-desktop-portal`.
